-1

I did update/upgrade of all packages and with that my firefox-esr:68.11.0esr-1~deb10u1+rpi1 got replaced with 91.some version. It is slower, youtube is not as responsive as it used to be.

What didn't I tried to get it back, nothing really worked. The main problem is that I just can't find 68 or about 68 version of firefox package for rpi. The best I could find is .deb package in http://ftp.debian.org/debian/pool/main/f/firefox-esr/. After installing which, caused firefox to crash everytime (previous version was purged).

Where do I find binaries for firefox-esr 68 or whereabouts? Or how do I revert upgrading to 91?

7
  • 1
    maybe the current firefox-esr (102.9) works better Apr 2, 2023 at 2:42
  • @Friendlygabe777 - ubuntu? Apr 2, 2023 at 2:42
  • Restore from your backup.
    – Milliways
    Apr 2, 2023 at 4:51
  • @Friendlygabe777, it's raspberry pi os, not ubuntu
    – Qeeet
    Apr 2, 2023 at 5:57
  • @Milliways, I would happily do it had I a backup
    – Qeeet
    Apr 2, 2023 at 5:58

1 Answer 1

0

Ok, I managed to fix it by installing a bit newer version of firefox.

I believe firefox-esr 68.11 was crashing because of some libraries incompatibilities even though installed versions were newer.

I downloaded 78.15.0esr-1~deb10u1_armhf.deb from http://ftp.us.debian.org/debian/pool/main/f/firefox-esr/ and did:

sudo apt install ./Downloads/firefox-esr_78.15.0esr-1~deb10u1_armhf.deb

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.